
Redmine - Patch #3756

Integer custom fields should use correct query controls

2009-08-19 02:43 - Anonymous

Status: Closed Start date: 2009-08-19

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Custom fields Estimated time: 0.00 hour

Target version:    

Description

--- a/app/models/query.rb       Mon Aug 03 09:28:37 2009 1000

++ b/app/models/query.rb       Mon Aug 03 09:40:16 2009 1000

@ -445,6 +445,8 @

options = { :type => :date, :order => 20 }

when "bool"

options = { :type => :list, :values => [[l(:general_text_yes), "1"], [l(:general_text_no), "0"]], :order => 20 }

when "int"

+        options = { :type => :integer, :order => 20 }

else

options = { :type => :string, :order => 20 }

end

History

#1 - 2010-01-26 21:12 - Olafur Gislason

- File PATCH_Integer_CustomField_Query_p3756.diff added

Created the patch-file for this issue.

Not sure if I should change the status, so I'm leaving it like it is.

#2 - 2010-01-26 21:24 - Olafur Gislason

- Status changed from New to Resolved

Changed to resolved, because there nothing else to do, I think...

#3 - 2010-01-26 22:01 - Anonymous

Olafur Gislason wrote:

Changed to resolved, because there nothing else to do, I think...

 There is definitely still something that needs to be done - it needs to actually be committed to trunk.

Can somebody please reopen this please, or I will be forced to open a new issue.  Even better, can somebody with commit rights please commit this

patch.

#4 - 2010-01-27 09:02 - Felix Schäfer

- Category set to Custom fields

- Status changed from Resolved to New

- Assignee set to Eric Davis

Not resolved as long as it's not committed. Eric, could you?

#5 - 2010-10-25 17:03 - Eric Davis

- Assignee deleted (Eric Davis)

#6 - 2024-01-22 07:18 - Go MAEDA

- Status changed from New to Closed

2024-03-13 1/2



Fixed in r6213.
PATCH_Integer_CustomField_Query_p3756.diff 537 Bytes 2010-01-26 Olafur Gislason
